FROM node:21-alpine AS angularApp
WORKDIR /usr/src/app
COPY package.json package-lock.json ./
RUN npm install --force
COPY . .
RUN npm run build


FROM nginx:1.25.3-alpine
COPY nginx.conf /etc/nginx/nginx.conf
COPY --from=angularApp /usr/src/app/dist/SensLog /usr/share/nginx/html
